[![Build Status](https://travis-ci.com/aquilesC/experimentor.svg?branch=main)](https://travis-ci.com/aquilesC/experimentor)
[![Documentation Status](https://readthedocs.org/projects/experimentor/badge/?version=latest)](https://experimentor.readthedocs.io/en/latest/?badge=latest) [![codecov](https://codecov.io/gh/aquilesC/experimentor/branch/master/graph/badge.svg)](https://codecov.io/gh/aquilesC/experimentor)

# Experimentor v0.2.0

**A flexible package for experiment control and automation**

Experimentor is a framework that simplifies the task of building instrumentation software in Python. It follows the MVC pattern to the letter. Controllers are drivers, Models implement the logic of the instruments and the experiments themselves, while the View specifies the user interface. 

Experimentor is opinionated, but allows to be extended mostly by subclassing general classes and overwriting specific 
methods. 

## Installing

The code of this program is the repository that can be found at ``https://github.com/aquilesC/experimentor``. You may also check the website [Python for the Lab](https://www.pythonforthelab.com) for some updates and comments that may not enter into this documentation.

## Documentation

To read more about how to get started with the Experimentor package, check the [documentation on Read The Docs](https://experimentor.readthedocs.io/en/latest/).

## Work In Progress

Experimentor is work in progress, meaning that we can introduce backwards-incompatible changes. We will try to give some 
warning time prior to this, but we can't guarantee it. 

## Helping with Development
We welcome contributions from anyone. Please check the [Contribution Guidelines](CONTRIBUTING.md) to learn how you can contribute to the project.